Summary:	Command line NNTP file grabber
Name:		nget
Version:	0.27.1
Release:	9%{?dist}
License:	GPLv2+
Group:		Applications/Internet
URL:		http://nget.sourceforge.net/
Source0:	http://downloads.sourceforge.net/nget/%{name}-%{version}.tar.gz

Patch0:		%{name}-%{version}-debuginfo.patch
Patch1:		%{name}-%{version}-gcc43.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# SUBTERFUGUE (http://subterfugue.org/) is also needed to run test-suite.
# BuildRequires:	cppunit

BuildRequires:	pcre-devel
BuildRequires:	popt
BuildRequires:	uulib-static
BuildRequires:	zlib-devel

%description
nget is a command line NNTP file grabber. It automatically pieces together
multipart postings for easy retrieval, even substituting parts from multiple
servers and newsgroups. Handles disconnects gracefully, resuming after the
last part successfully downloaded.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --with-pcre --with-popt
make %{?_smp_mflags}

%check
# make test
# fails due to absence of SUBTERFUGUE (http://subterfugue.org/).

%install
rm -rf $RPM_BUILD_ROOT

# make install DESTDIR=$RPM_BUILD_ROOT
# does not work.
%makeinstall

# To be later listed against %doc.
mv .ngetrc ngetrc.example

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changelog COPYING FAQ README TODO format-TODO ngetrc.example
%{_bindir}/%{name}
%{_bindir}/ngetlite
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/ngetlite.1*

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 16 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.27.1-8
- Fixed build failure with gcc-4.3.
- Addressed warning generated by rpmlint

* Sat Oct 06 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.27.1-7
- Removed 'BuildRequires: cppunit'.
- Added comments about failure of test suite.
- Retain Changelog spelling.

* Fri Oct 05 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.27.1-6
- Fixed creation of an empty debuginfo package.

* Thu Oct 04 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.27.1-5
- Initial build. Imported SPEC from Fedora Extras 5.
